Loading...
Searching...
No Matches
toggle_state Struct Reference

Private state in get_togggle_bit_mask(). More...

`#include <irrecord.h>`

## Public Attributes

struct decode_ctx_t | decode_ctx
int | retval
int | retries
int | flag
int | success
ir_code | first
ir_code | last
int | seq
int | repeats
int | found
int | inited

## Detailed Description

Private state in get_togggle_bit_mask().

Definition at line 220 of file irrecord.h.

## Member Data Documentation

## decode_ctx

struct decode_ctx_t toggle_state::decode_ctx

Definition at line 221 of file irrecord.h.

## first

ir_code toggle_state::first

Definition at line 226 of file irrecord.h.

## flag

int toggle_state::flag

Definition at line 224 of file irrecord.h.

## found

int toggle_state::found

Definition at line 230 of file irrecord.h.

## inited

int toggle_state::inited

Definition at line 231 of file irrecord.h.

## last

ir_code toggle_state::last

Definition at line 227 of file irrecord.h.

## repeats

int toggle_state::repeats

Definition at line 229 of file irrecord.h.

## retries

int toggle_state::retries

Definition at line 223 of file irrecord.h.

## retval

int toggle_state::retval

Definition at line 222 of file irrecord.h.

## seq

int toggle_state::seq

Definition at line 228 of file irrecord.h.

## success

int toggle_state::success

Definition at line 225 of file irrecord.h.

The documentation for this struct was generated from the following file:

- irrecord.h